%{?filter_setup:
%filter_from_provides /^perl(/d;
%filter_from_requires /^perl(/d;
%filter_from_requires /^\/bin\/lua/d;
%filter_setup
}

%bcond_without req_qt

Summary:       Universal source code to formatted text converter
Name:          highlight
Version:       4.6
Release:       4%{?dist}
License:       GPL-3.0-only
URL:           http://www.andre-simon.de/
Source0:       %{url}zip/%{name}-%{version}.tar.bz2

BuildRequires: gcc-c++ lua-devel boost-devel desktop-file-utils make
%if %{with req_qt}
BuildRequires:  qt5-qtbase-devel
%endif

%description
A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX, XSL-FO, XML or ANSI escape
sequences with syntax highlighting.  It supports several programming and markup languages.  Language
descriptions are configurable and support regular expressions.  The utility offers indentation and
reformatting capabilities.  It is easily possible to create new language definitions and colour
themes.

%if %{with req_qt}
%package gui
Summary:        GUI for the highlight source code formatter
Requires:       %{name} = %{version}-%{release}

%description gui
A Qt-based GUI for the highlight source code formatter source.
%endif

%prep
%autosetup -n %{name}-%{version} -p1

%build
CFLAGS="$CFLAGS -fPIC %{optflags}"; export CFLAGS
CXXFLAGS="$CXXFLAGS -fPIC %{optflags}"; export CXXFLAGS
LDFLAGS="$LDFLAGS %{?__global_ldflags}"; export LDFLAGS

 %{__make} all                CFLAGS="${CFLAGS}"          \
                              CXXFLAGS="${CXXFLAGS}"      \
                              LDFLAGS="${LDFLAGS}"        \
                              LFLAGS="-Wl,-O1 ${LDFLAGS}" \
                              PREFIX="%{_prefix}"         \
                              conf_dir="%{_sysconfdir}/highlight/"

%if %{with req_qt}
 %{__make} gui                CFLAGS="${CFLAGS}"          \
                              CXXFLAGS="${CXXFLAGS}"      \
                              LDFLAGS="${LDFLAGS}"        \
                              LFLAGS="-Wl,-O1 ${LDFLAGS}" \
                              PREFIX="%{_prefix}"         \
                              conf_dir="%{_sysconfdir}/highlight/" \
                              QMAKE="%{_qt5_qmake}"       \
                              QMAKE_STRIP=
%endif

%install
%make_install PREFIX="%{_prefix}" conf_dir="%{_sysconfdir}/highlight/"

mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
%if %{with req_qt}
make install-gui DESTDIR=%{buildroot} PREFIX="%{_prefix}" conf_dir="%{_sysconfdir}/highlight/"
%endif

rm -rf %{buildroot}%{_docdir}/%{name}/

desktop-file-install \
   --dir %{buildroot}%{_datadir}/applications \
   highlight.desktop

%files
%license COPYING
%doc ChangeLog* AUTHORS README* extras/
%config(noreplace) %{_sysconfdir}/highlight/
%{_bindir}/highlight
%{_datadir}/highlight/
%{_datadir}/bash-completion/completions/highlight
%{_datadir}/fish/vendor_completions.d/highlight.fish
%{_datadir}/zsh/site-functions/_highlight
%{_mandir}/man1/highlight.1*
%{_mandir}/man5/filetypes.conf.5*

%if %{with req_qt}
%files gui
%{_bindir}/highlight-gui
%{_datadir}/applications/highlight.desktop
%{_datadir}/icons/hicolor/256x256/apps/highlight.png
%else
%exclude %{_datadir}/applications/highlight.desktop
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Wang Guodong <gordonwwang@tencent.com> - 4.6-1
- Upgrade to version 4.6

* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 4.1-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 4.1-1
- initial build
